<script>
jQuery(document).ready(function($){

	// populate current address - this evaluates the checkbox
	$(function(){
		$("#field_224zki-0").change(function() {
			if ($("#field_224zki-0:checked").length > 0) {
				bindCurrent();
			} else {
				unbindCurrent();
			}
		});
	});


	var bindCurrent = function() {
		// First copy values

		$("input[id='field_ehojnh']").val($("input[id='field_3l3cwp2']").val()).attr("readonly",true); 	//address
		$("input[id='field_pfyu8e']").val($("input[id='field_puitbx2']").val()).attr("readonly",true);		// address2
		$("input[id='field_f3259j']").val($("input[id='field_w8z3lb2']").val()).attr("readonly",true);		// city
		$("select[id='field_urw4bt']").val($("select[id='field_9c57wk2'] option:selected").val()).attr("disabled",true);	// state
		$("input[id='field_ele4cr']").val($("input[id='field_xk12lc2']").val()).attr("readonly",true);		// zip
		$("select[id='field_8w230h']").val($("select[id='field_j9nrol2'] option:selected").val()).attr("disabled",true);	// country

		// Then bind fields
		// address
		$("input[id='field_3l3cwp2']").keyup(function() {
			$("input[id='field_ehojnh']").val($(this).val());
		});
		// address2
		$("input[id='field_puitbx2']").keyup(function() {
			$("input[id='field_pfyu8e']").val($(this).val());
		});
		// city
		$("input[id='field_w8z3lb2']").keyup(function() {
			$("input[id='field_f3259j']").val($(this).val());
		});
		// state
		$("select[id='field_9c57wk2']").change(function() {
			$("select[id='field_urw4bt']").val($(this).val());
		});
		// zip
		$("input[id='field_xk12lc2']").keyup(function() {
			$("input[id='field_ele4cr']").val($(this).val());
		});
		// country
		$("select[id='field_j9nrol2']").change(function() {
			$("select[id='field_8w230h']").val($(this).val());
		});

	};

	var unbindCurrent = function() {
		/* unbind fields */
		$("input[id='field_3l3cwp2']").unbind("keyup");
		$("input[id='field_puitbx2']").unbind("keyup");
		$("input[id='field_w8z3lb2']").unbind("keyup");
		$("select[id='field_9c57wk2']").unbind("change");
		$("input[id='field_xk12lc2']").unbind("keyup");
		$("select[id='field_j9nrol2']").unbind("change");
		/* clear readonly and disabled attributes */
		$("input[id='field_ehojnh']").removeAttr("readonly");
		$("input[id='field_pfyu8e']").removeAttr("readonly");
		$("input[id='field_f3259j']").removeAttr("readonly");
		$("select[id='field_urw4bt']").removeAttr("disabled");
		$("input[id='field_ele4cr']").removeAttr("readonly");
		$("select[id='field_8w230h']").removeAttr("disabled");
		/* clear fields */
		$("input[id='field_ehojnh']").val("");
		$("input[id='field_pfyu8e']").val("");
		$("input[id='field_f3259j']").val("");
		$("select[id='field_urw4bt']").val("");
		$("input[id='field_ele4cr']").val("");
		$("select[id='field_8w230h']").val("");
		/* set focus to address */
		$("input[id='field_ehojnh']").focus();

	};

});
</script>